DependencyArtifactDescriptor
Date: 2014-12-13

org.apache.ivy.core.module.descriptor

## Interface DependencyArtifactDescriptor

- All Superinterfaces:
    ExtendableItem
  All Known Implementing Classes:
    DefaultDependencyArtifactDescriptor

      public interface DependencyArtifactDescriptor
      extends ExtendableItem

  This describes an artifact that is asked for a dependency. It is used to define an (additional) artifact not declared by a dependency module descriptor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getConfigurations()` Returns the configurations of the module in which the artifact is asked
    `DependencyDescriptor` | `getDependencyDescriptor()` Returns the dependency descriptor in which this dependency artifact descriptor is declared.
    `java.lang.String` | `getExt()` Returns the ext of the artifact asked
    `java.lang.String` | `getName()` Returns the name of the artifact asked
    `java.lang.String` | `getType()` Returns the type of the artifact asked
    `java.net.URL` | `getUrl()` Returns the url to look this artifact at

    - ### Methods inherited from interface org.apache.ivy.util.extendable.ExtendableItem

      `getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes`

- - ### Method Detail

    - #### getDependencyDescriptor

          DependencyDescriptor getDependencyDescriptor()

      Returns the dependency descriptor in which this dependency artifact descriptor is declared.
      Returns:
        the dependency descriptor in which this dependency artifact descriptor is declared.

    - #### getName

          java.lang.String getName()

      Returns the name of the artifact asked
      Returns:

    - #### getType

          java.lang.String getType()

      Returns the type of the artifact asked
      Returns:

    - #### getExt

          java.lang.String getExt()

      Returns the ext of the artifact asked
      Returns:

    - #### getUrl

          java.net.URL getUrl()

      Returns the url to look this artifact at
      Returns:

    - #### getConfigurations

          java.lang.String[] getConfigurations()

      Returns the configurations of the module in which the artifact is asked
      Returns:
        an array of configuration names in which the artifact is asked